/*------------------------------------------------------------------
[Table of contents]
1. Styles for devices(>1200px)
2. Styles for devices(>=992px and <=1199px)
3. Styles for devices(>=768px and <=992px)
4. Styles for devices(>=481px and <=767px)
5. Styles for devices(<=480px)
-------------------------------------------------------------------*/
/*----------------
[1. Styles for devices(>1200px)]
*/
@media (min-width: 1490px) and (min-width: 1680px) {
}
@media (min-width: 1361px) and (min-width: 1490px) {
}
/*----------------
[2. Styles for devices(>=993px and <=1200px)]
*/
@media (min-width: 993px) and (max-width: 1200px) {
}
/*--------------------
[3. Styles for devices(>=768px and <=992px)]
*/
@media (min-width: 768px) and (max-width: 992px) {
    h3.article-title {
        margin: 5px 0px;
        font-size: 15px;
    }
}
/*--------------------
[4. Styles for devices(>=481px and <=767px)]
*/
@media (min-width: 481px) and (max-width: 767px) {
    .container {
        grid-template-columns: repeat(1,1fr);
    }
    header {
        grid-column: 1;
        padding: 10px 5px;
    }
    aside {
        grid-column: 1;
        order: 2;
    }
    main {
        grid-column: 1;
    }
    footer {
        grid-column: 1;
        order: 3;
    }
    .search {
        padding: 0px 5px;
    }
    .search input {
        padding: 5px;
        width: 130px;
    }
    .search .search-button {
        padding: 5px 3px;
        font-size: 13px;
    }
    .log-out a {
        padding: 7px 10px;
        font-size: 13px;
    }
    .recent-posts {
        grid-template-columns: repeat(2,1fr);
    }
    h3.article-title {
        margin: 5px 0px;
        font-size: 15px;
    }
}
/*--------------------
[5. Styles for devices(<=480px)]
*/
@media (max-width: 480px) {
    .container {
        grid-template-columns: repeat(1,1fr);
    }
    header {
        grid-column: 1;
        padding: 10px 5px;
    }
    aside {
        grid-column: 1;
        order: 2;
    }
    main {
        grid-column: 1;
    }
    footer {
        grid-column: 1;
        order: 3;
    }
    .search {
        padding: 0px 5px;
    }
    .search input {
        padding: 5px;
        width: 130px;
    }
    .search .search-button {
        padding: 5px 3px;
        font-size: 13px;
    }
    .log-out a {
        padding: 7px 10px;
        font-size: 13px;
    }
    .recent-posts {
        grid-template-columns: repeat(1,1fr);
    }
    h3.article-title {
        margin: 5px 0px;
        font-size: 15px;
    }
    .social-sharing {
        padding: 10px;
    }
    .share-on {
        font-size: 13px;
        padding: 5px;
    }
    .sharing-icons li {
        padding: 5px;
        font-size: 13px;
    }
    .about-author {
        display: grid;
    }
    .avatar-img {
        border-radius: 50%;
        display: flex;
        justify-content: center;
    }
    .author-title {
        font-size: 20px;
    }

}